Account Creation leaves broken unusable accounts due to VisualEditorHooks::onAddNewAccount
Closed, ResolvedPublic

Description

Ok. Here's the diagnosis. Any attempt to create the account returns a "Fatal exception of type MWException". The account and SUL get created but, email and password get left out. Essentially, the user can't login with the password set or provided by email. Nor can they confirm email and use it to reset the password. This essentially leaves a corrupted, unusable account. Replicating it is easy, just try to create an account.


Version: unspecified
Severity: critical
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=49604

bzimport added a project: VisualEditor-MediaWiki.Via ConduitNov 22 2014, 2:00 AM
bzimport set Reference to bz49727.
Cyberpower678 created this task.Via LegacyJun 18 2013, 2:48 AM
bzimport added a comment.Via ConduitJun 18 2013, 2:53 AM

swalling wrote:

Confirmed. I get "[76812464] 2013-06-18 02:51:53: Fatal exception of type MWException" when trying to create any account on enwiki, but I receive the correct email confirmation message.

Cyberpower678 added a comment.Via ConduitJun 18 2013, 2:54 AM

(In reply to comment #1)

Confirmed. I get "[76812464] 2013-06-18 02:51:53: Fatal exception of type
MWException" when trying to create any account on enwiki, but I receive the
correct email confirmation message.

You do get an email confirmation message, but the email is not attached to the account. I confirmed this several times.

Mattflaschen added a comment.Via ConduitJun 18 2013, 2:55 AM

I'll investigate.

Aklapper added a comment.Via ConduitJun 18 2013, 2:57 AM

Also confirming:

  1. Create an account on en.wikipedia.org and enter data
  2. Get "[1903eff7] 2013-06-18 02:39:00: Fatal exception of type MWException" directly after
  3. Click link in upper corner to go to your userpage
  4. Get: User account "foo" is not registered.

[22:31] <+Cyberpower678> Ok. Here's the diagnosis. Any attempt to create the account returns a "Fatal exception of type MWException". The account and SUL get created but, email and password get left out. Essentially, the user can't login with the password set or provided by email. Nor can they confirm email and use it to reset the password.

Spage added a comment.Via ConduitJun 18 2013, 3:07 AM

On fluorine, /a/mw-log/exception.log has

/w/index.php?title=Special:UserLogin&action=submitlogin&type=signup&returnto=Main+Page Exception from line 215 of /usr/local/apache/common-local/php-1.22wmf6/includes/Hooks.php: Detected bug in an extension! Hook VisualEditorHooks::onAddNewAccount failed to return a value; should return true to continue hook processing or false to abort.

should be an easy fix for wmf6?

Cyberpower678 added a comment.Via ConduitJun 18 2013, 3:14 AM

It looks like this bug creates SUL errors too. See User:ChrisWittGeorge as an example of it supposedly not existing but when trying to create on Meta, it claims that there is an SUL.

Mattflaschen added a comment.Via ConduitJun 18 2013, 3:16 AM

Fixed as a prod-only patch, will do proper Gerrit shortly.

Aklapper added a comment.Via ConduitJun 18 2013, 3:17 AM
bzimport added a comment.Via ConduitJun 18 2013, 3:20 AM

swalling wrote:

(In reply to comment #7)

Fixed as a prod-only patch, will do proper Gerrit shortly.

Fix is working for me.

Cyberpower678 added a comment.Via ConduitJun 18 2013, 3:21 AM

(In reply to comment #6)

It looks like this bug creates SUL errors too. See User:ChrisWittGeorge as
an
example of it supposedly not existing but when trying to create on Meta, it
claims that there is an SUL.

Can these lingering SUL bugs be fixed too, if any?

ori added a comment.Via ConduitJun 18 2013, 3:31 AM

Merged & deployed. Thanks S, Matthew.

Can these lingering SUL bugs be fixed too, if any?

This bug was simple: a hook wasn't returning a value. If the fix fixes it, great. If not, it wasn't caused by this bug in the first place.

Add Comment